curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"include_call_events": false
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"enabled": true,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Campaign Webhooks
Create Campaign Webhook
Create a webhook for campaign-level events
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"include_call_events": false
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"enabled": true,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Create Campaign Webhook
Create a webhook subscribed to campaign lifecycle and per-campaign-call events.Endpoint
POST /api/v1/campaigns/{campaign_id}/webhooks
Path parameters
string
required
Campaign UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonRequest body
string
required
Webhook name. Max 255 characters.
string
required
Delivery URL. Max 500 characters.
array
required
Array of subscribed events. Min 1.
string
Optional HMAC-SHA256 signing secret. Max 255 characters.
integer
Request timeout in seconds. Range:
5–120. Default: 30.integer
Retry attempts on failure. Range:
0–10. Default: 3.boolean
Default:
true.string
Options:
POST, PUT, PATCH. Default: POST.string
Options:
none, bearer, basic, api_key, custom. Default: none.array
Array of
{key, value} objects.object
Per-event template overrides.
boolean
When
true, also delivers per-call events for calls in this campaign (in addition to campaign-level events).Examples
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"include_call_events": false
}'
Response
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"events": ["campaign.started", "campaign.completed", "campaign_call.completed"],
"enabled": true,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Was this page helpful?